﻿.ui-effects-transfer {
    /*border: 2px dotted #4AA;*/
    border: 2px dotted #A86;
    border-radius: 20px;
}

.ui-overlay-screen {
    border-radius: 20px;
}

.ui-overlay-text {
    border-radius: 10px;
    cursor: default;
}

div.ui-widget-overlay {
    opacity: 0.55;
}

#layout-notificationbar {
    width: 100%;
    margin-top: 0px;
    margin-bottom: 7px;
    font-weight: bold;
    border-radius: 15px;
    border-color: #bba362;
    cursor: default;
}

    #layout-notificationbar #notification-content {
        height: 100%;
    }

@media (max-width: 575.98px), (max-height: 499.98px) {
    #wrapper-notificationbar {
        position: absolute;
        top: 6px;
        left: 55px;
        z-index: 5;
        height: 40px;
        width: calc(100vw - 150px);
    }

    #layout-notificationbar {
        height: 30px;
        border-width: 0px;
        background-image: none;
        background-color: rgba(231, 215, 182, 0);
        border-radius: 9px;
    }
}

@media (min-width: 576px) and (min-height: 500px) {
    #wrapper-notificationbar {
        margin-right: 120px;
        padding: 1em;
        position: sticky;
        z-index: 5;
        height: 40px;
    }

    #layout-notificationbar {
        height: 35px;
        border-width: 3px;
        box-shadow: 7px 7px 14px rgba(0,0,0,0.4);
    }
}






/* --- Layout -------------------------------------------------------------- */

* {
    margin: 0px;
    padding: 0px;
}


body {
    font-family: Tahoma, Verdana, Arial;
    font-size: 8pt;
    color: #9E641A;
    background-color: #F2EEE8;
    background: linear-gradient(160deg, rgba(187,163,98,0.4) 10%, rgba(255,255,255,1) 40%, rgba(255,255,255,1) 70%, rgba(187,163,98,0.4) 95%);
    /*
    background-color: #F2EEE8;
    background-color: #bba362;
    background-image: linear-gradient(110deg, #bba362 40%, #eee0ca 70%);
    background-size: cover;
    background-image: url('/images/background/bg03.png');
    */
}

.font-muli {
    font-family: muli;
}

.font-design {
    font-family: brandon-grotesque, -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Helvetica, Arial, sans-serif;
}

input, select, textarea {
    font-size: 8pt;
    /*color: #005E65;*/
    color: #9E641A;
}

img {
    border: none;
}

a, a:link, a:visited {
    text-decoration: none;
    font-weight: bold;
}

    a:hover {
        /*color: #198992;*/
        color: #B58950;
    }

fieldset {
    border: 1px solid #01936E;
    padding: 10px;
    border-radius: 4px;
    background-color: #d5ede7;
}

legend {
    /*color: #005E65;*/
    font-weight: bold;
    padding-left: 5px;
    padding-right: 5px;
}

table {
    border: 0;
    border-spacing: 0;
    border-collapse: collapse;
}

/* --- Cmp ----------------------------------------------------------------- */
.cmp .cmp-lbl {
    height: 20px;
    width: 120px;
}

.cmp .cmp-ctrl input,
.cmp .cmp-ctrl textarea {
    width: 260px;
}

.cmp .cmp-ctrl select {
    width: 264px;
}

/* --- Form ---------------------------------------------------------------- */
.link-btn-submit {
    position: absolute;
    width: 0px;
    height: 0px;
    border: 0px;
    overflow: hidden;
    opacity: 0;
}

* html .link-btn-submit {
    display: inline;
    position: absolute;
    width: 10px;
    height: 10px;
    margin-left: 10px;
    overflow: hidden;
    filter: alpha(opacity=0);
}

/* --- cmd ----------------------------------------------------------------- */
/*
.cmd {
    background-position: left center;
    background-repeat: no-repeat;
    margin-left: 10px;
    padding-top: 3px;
    padding-left: 21px;
    height: 15px;
    white-space: nowrap;
    float: right;
}

#jqContextMenu .cmd {
    margin-left: 0px;
    display: block;
    float: none;
}

A.cmd-delete-mini {
    width: 12px;
    height: 12px;
    padding: 0px;
}

    A.cmd-delete-mini:hover {
        background-image: url(../Images/Icon/Cmd/delete.gif);
        width: 16px;
        height: 16px;
    }
*/

/* --- jQuery UI ----------------------------------------------------------- */
html body .ui-helper-reset {
    line-height: 0.5;
}

.ui-tabs .ui-tabs-nav {
    font-family: muli, Arial;
}

.ui-tabs .ui-tabs-panel {
    height: 100%;
}

.ui-tabs .ui-tabs-panel {
    height: 100%;
}

    .ui-tabs .ui-tabs-panel.xtabpage-adjust-size {
        height: calc(100% - 30px);
    }

.ui-widget * {
    outline: none;
}

/* --- Mise en page -------------------------------------------------------- */
/*
#layout-page {
}

#layout-table {
    width: 100%;
}

#layout-content {
    width: 100%;
    height: 100%;
}

#layout-td {
    width: 900px;
}

#layout-body {
    height: 400px;
}

    #layout-body .ui-tabs {
        height: 100%;
    }

#layout-login {
    width: 900px;
    margin-top: 20px;
    margin-bottom: 0px;
    text-align: right;
    font-size: 9px;
    height: 13px;
}
*/

/* SD~~ pb with chat box */
/*
.modified {
    background-color: #FEC;
}
*/

.display-true {
    display: block;
}

.display-false {
    display: none;
}

html, body {
    height: 100%;
}

div.xcontent-outer {
    width: 100%;
    height: 100%;
    position: relative;
}

div.xcontent-inner {
    margin: 0;
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

div.xcontent-outer-f {
    width: 100%;
    height: 100%;
    display: flex;
}

div.xcontent-inner-f {
    margin: auto;
}

.validation-message {
    color: #bf0a0a !important;
    /*color: #F67280 !important;*/
}

.invalid {
    border: 2px solid #bf0a0a !important;
}

.input-validation-error {
    border: 2px solid #d5a7a7 !important;
}
